PL/php - Bug #4983

Load, regression failures with PHP 5.1.1
12/06/2005 11:44 AM - bford -

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Alvaro Herrera % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Release 1.1

Resolution: fixed

Description

PL/PHP 1.1 built with PostgreSQL 8.1.0 and PHP 5.1.1 has a couple of "Undefined symbol” errors at load time. Adding the following
to plphp.c fixes the problem:

void *apr_pool_cleanup_run = NULL;
void *apr_snprintf = NULL;

The trigger and validator regression tests fail. The validator failures are due to variant output so | created expected/validator_1.out:

—— Test the validator
CREATE FUNCTION invalid() RETURNS void LANGUAGE plphp AS $$
asdasd
$$;
ERROR: function "invalid" does not validate: syntax error, unexpected '}' at line 3
CREATE FUNCTION invalid() RETURNS void LANGUAGE plphp AS $$
{
$S;
ERROR: function "invalid" does not validate: syntax error, unexpected S$end at line 3
CREATE OR REPLACE FUNCTION valid() RETURNS void LANGUAGE plphp AS $$
array_append() ;
$$;
select valid();
ERROR: Call to undefined function array_append() at line 2
CREATE FUNCTION valid2 () RETURNS void LANGUAGE plphp AS $S
return array();
$S;
select valid2();
ERROR: this plphp function cannot return arrays

| haven't looked into the trigger failures yet but here's an excerpt from regression.diffs:

INSERT INTO numbers DEFAULT VALUES;
+ ERROR: $_TD['new'] does not contain attribute "0"
SELECT * FROM numbers;
o1 112 1] 3
| —ooofomedemadoes
' (0 rows)

Michael Fuhr

History

#1 - 12/07/2005 07:56 AM - Alvaro Herrera

- Status changed from New to In Progress

#2 - 05/29/2006 02:55 AM - bford -
Keep a good job up! http://quick-adult-links.com
https://public.commandprompt.com/projects/plphp/wiki/PostgreSQL
http://quick-adult-links.com

#3 - 06/02/2006 05:15 PM - bford -
//freett.com/bed/tanning-bed-lamp.html">tanning bed lamp</a>
//freett.com/cologne/hugo-boss—-cologne-for-man.html">hugo boss cologne for man</a>
//www.free-space.at/perfume/curve-perfume.html">curve perfume</a>
//freett.com/bed/wicker-dog-bed.html">wicker dog bed</a>
//freett.com/bed/dog-urinating-on-my-bed-seperation—anxiety.html">

on my bed seperation anxiety</a>
//freett.com/cologne/romance-cologne.html">romance cologne</a>
//freett.com/bed/craftmatic-adjustable-bed.html">craftmatic adjustable bed</a>
//www.free-space.at/perfume/anne-klein-perfume.html">anne klein perfume</a>
//freett.com/bed/aero-bed-twin.html">aero bed twin</a>
//freett.com/bed/curtains-for-canopy-bed.html">curtains for canopy bed</a>
//freett.com/bed/bunk-bed-tents.html">bunk bed tents</a>
//freett.com/bed/toddler-bed-set.html">toddler bed set</a>
//freett.com/cologne/men—-cologne.html">men cologne</a>
//freett.com/bed/hospital-bed-matress.html">hospital bed matress</a>
//freett.com/cologne/romance-cologne.html">romance cologne</a>
//www.free-space.at/perfume/obsession-perfume.html">obsession perfume</a>
//www.free-space.at/perfume/jlo-perfume.html">jlo perfume</a>
//freett.com/bed/hide-a-bed-chair.html">hide a bed chair</a>
//www.free-space.at/perfume/cherish-perfume-revlon.html">cherish perfume revlon</a>
//freett.com/bed/metal-futon-bunk-bed.html">metal futon bunk bed</a>
//www.free-space.at/perfume/shalimar-perfume.html">shalimar perfume</a>
//freett.com/bed/used-tanning-bed.html">used tanning bed</a>
//www.free-space.at/perfume/kenzo-perfume.html">kenzo perfume</a>
//www.free-space.at/perfume/perfume-outlets.html">perfume outlets</a>
//freett.com/bed/canopy-bed-accessories.html">canopy bed accessories</a>

#4 - 03/27/2007 07:57 AM - Alexey Klyukin

- Status changed from In Progress to Closed

- Resolution set to fixed

Fixed in r63.
